{ description = "Extremely basic flake";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils}:
  flake-utils.lib.eachDefaultSystem (system:
  let pkgs = import nixpkgs { inherit system; };
  in {
    packages = {
      antimatter = pkgs.stdenvNoCC.mkDerivation rec {
        pname = "antigem";
        version = "0.1";
        src = ./antimattercloud;

        installPhase = ''
          mkdir -p $out/share/${pname}
          cp -r . $out/share/${pname}
        '';
      };
    };
  });
}
